about summary refs log tree commit diff homepage
path: root/.travis
diff options
context:
space:
mode:
authorDan Liew <daniel.liew@imperial.ac.uk>2017-03-23 15:45:12 +0000
committerDan Liew <daniel.liew@imperial.ac.uk>2017-03-23 15:46:51 +0000
commitc0e85dc175f4ecc012e66a86949b2887389740ed (patch)
tree0b7422a0846d76a7b3c2f62d0d0f198fcb7a744a /.travis
parenta40818cab8e1b2315ac40d2c2cb125fc422e8ed7 (diff)
downloadklee-c0e85dc175f4ecc012e66a86949b2887389740ed.tar.gz
[TravisCI] Check if `METASMT_VERSION` is set and abort if it is not
set. Also exit if any of the commands in `.travis/metaSMT.sh` fail.
Diffstat (limited to '.travis')
-rwxr-xr-x.travis/metaSMT.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/.travis/metaSMT.sh b/.travis/metaSMT.sh
index 9c21d341..ce559f8f 100755
--- a/.travis/metaSMT.sh
+++ b/.travis/metaSMT.sh
@@ -1,5 +1,9 @@
 #!/bin/bash -x
 
+set -e
+
+: ${METASMT_VERSION?"METASMT_VERSION not specified"}
+
 # Get Boost, Z3, libgmp
 sudo apt-get -y install libboost1.55-dev libz3 libz3-dev libgmp-dev